> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions/get#try-it)

Gets a single targeting option assigned to an ad group.

Inherited assigned targeting options are not included.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adGroups/{adGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the ad group belongs to. |
| `adGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the ad group the assigned targeting option belongs to. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types include: - `TARGETING_TYPE_AGE_RANGE` - `TARGETING_TYPE_APP` - `TARGETING_TYPE_APP_CATEGORY` - `TARGETING_TYPE_CATEGORY` - `TARGETING_TYPE_COMBINED_AUDIENCE` - `TARGETING_TYPE_CUSTOM_LIST` - `TARGETING_TYPE_FIRST_PARTY_AND_PARTNER_AUDIENCE` - `TARGETING_TYPE_GENDER` - `TARGETING_TYPE_GEO_REGION` - `TARGETING_TYPE_GOOGLE_AUDIENCE` - `TARGETING_TYPE_HOUSEHOLD_INCOME` - `TARGETING_TYPE_KEYWORD` - `TARGETING_TYPE_LANGUAGE` - `TARGETING_TYPE_LOOKALIKE_AUDIENCE` - `TARGETING_TYPE_PARENTAL_STATUS` - `TARGETING_TYPE_SESSION_POSITION` - `TARGETING_TYPE_URL` - `TARGETING_TYPE_YOUTUBE_CHANNEL` - `TARGETING_TYPE_YOUTUBE_VIDEO` |
| `assignedTargetingOptionId` | `string` Required. An identifier unique to the targeting type in this line item that identifies the assigned targeting option being requested. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).